Subject: Fwd: [OPSAWG] appeal on adoption of draft-ietf-opsawg-tacacs-00.txt as an opsawg topic

From: "Bradner, Scott" <[email-masked]>
Date: Fri, 12 Feb 2016 18:13:28 +0000

I was asked to forward this response to an appeal as an example of a way to respond
(or not respond depending on your point of view)

Scott

Begin forwarded message:

From: "Bradner, Scott" <[email-masked]<mailto:[email-masked]>>
Subject: [OPSAWG] appeal on adoption of draft-ietf-opsawg-tacacs-00.txt as an opsawg topic
Date: February 12, 2016 at 11:46:04 AM EST
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Cc: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>

The chairs of the opsawg received an appeal from Alan DeKok on 11 February
2016 concerning the handling and possible disposition of
draft-ietf-opsawg-tacacs-00.txt (TACACS+). This message was a follow up of
a number of  email messages sent to the opsawg mailing list starting on 10
February.

The topics of the appeal and other messages from Mr. DeKok included:
1/ The adoption of the TACACS+ Internet Draft as a working group item.
2/ The appropriateness of publishing the TACACS+ Internet Draft as
a RFC through the IETF track.
3/ The appropriateness of publishing the TACACS+ Internet Draft as
a standards track RFC.

This memo concerns the first topic, the other two topics are proper topics
for a working group mailing list when an Internet Draft is under
consideration.

First some history:

After some initial confusion, the Internet Draft draft-grant-tacacs-00.txt
was published on 12 June 2015.  In an email message to the opsawg list
Doug Gash said:

" TACACS+ is a protocol widely deployed, based upon a draft specification
that Cisco submitted in 1998, but never completed to RFC status. The
original draft has been tidied and lightly enhanced and resubmitted, with
the intent to finally get it published as a standard."

He then followed up with an email message describing the updates to the
old ID.

1 July 2015: the OPS Ads put TACACS+ on the agenda for ops area session
during IETF 93

20 July 2015: The ops area session was held. The TACACS+ slides used
during the session are at:
https://www.ietf.org/proceedings/93/slides/slides-93-opsarea-2.pdf<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_proceedings_93_slides_slides-2D93-2Dopsarea-2D2.pdf&d=CwMGaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=ZlWjpVY7a_Dx0ybm2JDsRn_XG8EgK3vUT_Q7nAaWeWA&s=1l4lTFbxivTUa0yqGaX0X1hE5zCorRpsc-S43vjZ0I0&e=>

Minutes of the session are quite sparse.  They note that the presentation
occurred and that Alan DeKok objected to the proposal.

The audio recording of the session is at:
https://www.ietf.org/audio/ietf93/ietf93-congresshalli-20150720-1740.mp3<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_audio_ietf93_ietf93-2Dcongresshalli-2D20150720-2D1740.mp3&d=CwMGaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=ZlWjpVY7a_Dx0ybm2JDsRn_XG8EgK3vUT_Q7nAaWeWA&s=mBsI0eldtmTIkyP16wXA1lmKTjkHZ2ZId6B1ptAv0LY&e=>

The audio of the speakers and the commentators at the mic line are quite
clear but, unfortunately, the audio of the AD is unintelligible.   The
recording shows that there was little discussion of the merits of the
proposal other than Mr. DeKok's objections.  One of the chairs (Scott)
recalls that the AD did some form of assessment to gage interest in
working on the ID and found support.

2 October  2015:  updated ID published

4 October 2015:  Doug Gash sent note to opsawg list asking for opinions of
the list for publication

13 November 2015: Warren sent the following message asking for input on
the ID (
https://www.ietf.org/mail-archive/web/opsawg/current/msg04124.html<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail-2Darchive_web_opsawg_current_msg04124.html&d=CwMGaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=ZlWjpVY7a_Dx0ybm2JDsRn_XG8EgK3vUT_Q7nAaWeWA&s=fuq5KvE9U1pokiqeg9wy8G75IpnQmcr2NqpPi2vI-3k&e=>)

Dear OpsAWG WG,

   We would really appreciate any feedback on this document. Personally I
   think it is really useful, but we need the WG to review and provide
   feedback.

   Over the years I've heard a number of people kvetch that TACACS+ isn't
   documented -- well, now you can, you know, actually do something about
   this...

   W

There were a number of responses in support of publication and the WG
working on the ID along with some technical discussion.

The chairs concluded that there was enough interest to adopt the ID as a
working group topic.

30 November: 2015: Warren sent the following message to the opsawg:
(for some reason this message does not show up in the archive but a copy is
appended to this message)

    The chairs believe that there is sufficient interest and support to adopt
    this document as an OpsAWG document.

    Authors, please resubmit as draft-ietf-opsawg-tacacs-01

16 December 2015 - renamed ID published

By asking the working group list for input on the question of adopting an
ID as a working group document the opsawg chairs followed one of the
normal IETF process to determine if there was enough interest for the
working group to adopt the TACACS+ ID as a working group topic.  We note
in passing that such another normal process is for the WG chairs to decide
on their own to adopt a document as a working group topic.  We also felt
that the topic was sufficiently within the working group charter to do so
without a specific charter update.

Thus Mr. DeKok's appeal as to the adoption of the ID as a working group
topic is rejected. If Mr. DeKok believes that this does not satisfy his
concerns, we refer him to RFC 2026, Section 6.5 for the next steps in the
appeal process.

Scott Bradner
Warren Kumari
12 February 2016

—-----------------------------
To: [email-masked]<mailto:[email-masked]>
Spamdiagnosticmetadata: 7460966b2fd248469deae02cb8f82730
Archived-At: <http://mailarchive.ietf.org/arch/msg/opsawg/1hB3Nkw1KcsSvrNlOcelGV2dJfM<https://urldefense.proofpoint.com/v2/url?u=http-3A__mailarchive.ietf.org_arch_msg_opsawg_1hB3Nkw1KcsSvrNlOcelGV2dJfM&d=CwMGaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=ZlWjpVY7a_Dx0ybm2JDsRn_XG8EgK3vUT_Q7nAaWeWA&s=u37MI77szjvWrblu09tl-MYxBag1JFm5zKwfh7HZ69U&e=>>
Sender: "OPSAWG" <[email-masked]<mailto:[email-masked]>>
Spamdiagnosticoutput: 1:2
Re: [OPSAWG] FW: New Version Notification for draft-dahm-opsawg-tacacs-01.txt

Dear OpsAWG,

The chairs believe that there is sufficient interest and support to adopt this document as an OpsAWG document.

Authors, please resubmit as draft-ietf-opsawg-tacacs-01

Working group:
We would like to see this document progress, and are hoping to WGLC it soon. Please review this and provide feedback....

W

On Fri, Nov 13, 2015 at 1:37 PM Warren Kumari <[email-masked]<mailto:[email-masked]>> wrote:
We would really appreciate any feedback on this document. Personally I
think it is really useful, but we need the WG to review and provide
feedback.

Over the years I've heard a number of people kvetch that TACACS+ isn't
documented -- well, now you can, you know, actually do something about
this...

W

On Sun, Oct 4, 2015 at 4:18 PM, Douglas Gash (dcmgash)
<[email-masked]<mailto:[email-masked]>> wrote:
> Dear Opsawg List,
>
> We have uploaded a second revision of the TACACS+ protocol specification
> which we believe is ready for publication subject subject to port
> allocation.
>
> Please see details below.
>
> The essential difference from the first revision is the change of TLS
> option support using a separate port as opposed to the original Start TLS
> mechanism.
>
> We would be very grateful for the opinion of the list regarding the
> suitability of document for publication as an RFC.
>
> Many thanks,
>
> Thorsten, Andrej, Doug.
>
>
> On 02/10/2015 16:25, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
> wrote:
>
>>
>>A new version of I-D, draft-dahm-opsawg-tacacs-01.txt
>>has been successfully submitted by Douglas C. Medway Gash and posted to
>>the
>>IETF repository.
>>
>>Name:          draft-dahm-opsawg-tacacs
>>Revision:      01
>>Title:         The TACACS+ Protocol
>>Document date: 2015-10-02
>>Group:         Individual Submission
>>Pages:         38
>>URL:
>>https://www.ietf.org/internet-drafts/draft-dahm-opsawg-tacacs-01.txt<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_internet-2Ddrafts_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01.txt&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=vyypsgLv4xU9ZRXKDc8Zkhvs5lCaHleFtGf5rjYk54w&e=>
>>Status:         https://datatracker.ietf.org/doc/draft-dahm-opsawg-tacacs/<https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Ddahm-2Dopsawg-2Dtacacs_&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=pi2uoSR8CEuAJVZ_4dGTcROLb8CBvXY0-Xu3Esl7ajI&e=>
>>Htmlized:       https://tools.ietf.org/html/draft-dahm-opsawg-tacacs-01<https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=Mzs24EJmK4LizQd9pZm60DGEU9VL8lPDu4g4M4seCNU&e=>
>>Diff:
>>https://www.ietf.org/rfcdiff?url2=draft-dahm-opsawg-tacacs-01<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Ddahm-2Dopsawg-2Dtacacs-2D01&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=gzIvoARJGTdOsKUv-BGo6VrrLxiGpkldFxuGvErprD0&e=>
>>
>>Abstract:
>>   TACACS+ provides access control for routers, network access servers
>>   and other networked computing devices via one or more centralized
>>   servers.  TACACS+ provides separate authentication, authorization and
>>   accounting services.  This document describes the protocol that is
>>   used by TACACS+.
>>
>>
>>
>>
>>
>>Please note that it may take a couple of minutes from the time of
>>submission
>>until the htmlized version and diff are available at tools.ietf.org<https://urldefense.proofpoint.com/v2/url?u=http-3A__tools.ietf.org&d=CwMFaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=d2zkbEKtM7zrJuQJ4PvYtvpZHG4hcvhucuhOb03y1AE&s=jP3VYysdEEmDassAUrlny4_ZYb4Y69qiZyK4_P6O0pQ&e=>.
>>
>>The IETF Secretariat
>>
>

--
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf
_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_opsawg&d=CwMGaQ&c=WO-RGvefibhHBZq3fL85hQ&r=yqfP3H9W5MwHGwfujayvzw&m=ZlWjpVY7a_Dx0ybm2JDsRn_XG8EgK3vUT_Q7nAaWeWA&s=RpNmgPmyGEbnA6tF-OB0RgSQEK_MfA2HvnHkBcpyaEo&e=>
_______________________________________________
OPSAWG mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/opsawg

---

From: "Bradner, Scott" <[email-masked]>
Date: Fri, 12 Feb 2016 23:05:39 +0000

We referred to what he said at the meeting and said that he had appealed -  maybe we should have 
provided a pointer to a specific message, (including the message itself would have made the report 
very much longer) but he sent many messages in which he elaborated
or stressed his objection but there was no intent to “present only one side” but, instead, to
address one of his many appeal topics - the adoption of the document as a WG topic

next time (if there is one) I will ensure there is at least a pointer

Scott

> On Feb 12, 2016, at 5:49 PM, Paul Hoffman <[email-masked]> wrote:
> 
> On 12 Feb 2016, at 10:13, Bradner, Scott wrote:
> 
> However, that way presented only one side of the discussion. Was there a reason you did not include Alan's message about why he objected, nor his message about why he appealed?
> 
> --Paul Hoffman (who is uninvolved with OPSAWG and, thankfully, TACACS)

---

From: Bernard Aboba <[email-masked]>
Date: Fri, 12 Feb 2016 16:27:21 -0800

>> --Paul Hoffman (who is uninvolved with OPSAWG and, thankfully, TACACS)

[BA] In particular, Alan seems to be arguing that the OPSAWG has ignored a long established process for selecting AAA protocols for standardization, established over several decades, and documented in numerous RFCs.

So this is no ordinary appeal - the issues are considerably more complex than the summary presents.

---

From: "Paul Hoffman" <[email-masked]>
Date: Fri, 12 Feb 2016 14:49:18 -0800

> (or not respond depending on your point of view)

However, that way presented only one side of the discussion. Was there a 
reason you did not include Alan's message about why he objected, nor his 
message about why he appealed?